Create a more neutral warning message when leaving VE edit mode
Closed, ResolvedPublic1 Story Points

Description

Based on this feedback.
MediaWiki:Visualeditor-viewpage-savewarning displays "Are you sure you want to go back to view mode without saving first?". But you not always go back to view mode, for example when you click on "History".

Suggestion: "Are you sure you want to quit editing mode without saving first?"

Trizek-WMF added projects: VisualEditor, I18n.
Trizek-WMF added a subscriber: Trizek-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 17 2015, 10:06 AM
Elitre added a subscriber: Elitre.Dec 21 2015, 6:24 PM
Jdforrester-WMF triaged this task as "Normal" priority.Jan 12 2016, 8:12 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 266656 had a related patch set uploaded (by MtDu):
Create a more neutral warning message *visualeditor-viewpage-savewarning

https://gerrit.wikimedia.org/r/266656

@Jdforrester-WMF,
Do you think the current bold tags are in the right place? I think "Are you sure you want to quit editing mode <b>without saving first</b>?" may be a better option.
Thanks,
MtDu

Change 266656 merged by jenkins-bot:
Create a more neutral warning message

https://gerrit.wikimedia.org/r/266656

Jdforrester-WMF closed this task as "Resolved".Jan 28 2016, 8:46 PM
Jdforrester-WMF assigned this task to MtDu.
Jdforrester-WMF removed a project: Patch-For-Review.